Linux Kernel CONFIG_X86_X32 Privilege Escalation Exploit

This module exploits a privilege escalation vulnerability in the Linux Kernel. The X86_X32 recvmmsg syscall does not properly sanitize the timeout pointer passed from userspace and allows a local attacker to escalate privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2014-0038
Product Version: 
2014_R1
Released Date: 
Wednesday, February 19, 2014 - 00:00